#ifndef _HELP_DIALOG
#define _HELP_DIALOG

#include <QDialog>
#include <QList>

#include "ui_HelpDialog.h"

class QWidget;

class HelpDialog: public QDialog
{
    Q_OBJECT
public:
    struct Help
    {
        QString problem;
        QString solution;
    };

    HelpDialog( QWidget *parent = 0 );
    virtual ~HelpDialog();

    bool getDontShowAgain();

private:
    void initHelpList();
    void viewHelp( const int idx = 0 );

    Ui::HelpDialog ui;
    QList<Help> helpList;
    int m_idx;

private slots:
    void next();
    void previous();

};

#endif

