#ifndef FIRST_RUN_WIZARD_H
#define FIRST_RUN_WIZARD_H

#include <QtGui/QWidget>
#include <QWizard>
#include <QWizardPage>
#include <QLabel>
#include <QCheckBox>
#include <QVBoxLayout>
#include <QString>
#include <QAbstractButton>
#include <QSettings>
#include <QSpinBox>

class WizardPage: public QWizardPage
{
    Q_OBJECT
public:
    WizardPage( QString title, QString &message, QWidget *customWidget = 0, QWidget *parent = 0 );
    WizardPage( QString title, QString &message, QLayout *customWidgets, QWidget *parent = 0 );

private:
    QLabel *labelTop;
};

class FirstRunWizard : public QWizard
{
    Q_OBJECT
public:
    FirstRunWizard( QSettings *appletSettings, QWidget *parent = 0 );
    ~FirstRunWizard();
private:
    QSettings *appletSettings;

    QCheckBox *autostartCheckBox;
    QCheckBox *passwordCheckBox;
    QSpinBox  *delaySpinBox;
    QLabel    *delayLabel;
};

#endif // LOGGENERATOR_H
