#ifndef UBUDSLDAEMON_GLOBALS_H_
#define UBUDSLDAEMON_GLOBALS_H_

#include <QString>
#include "libubudsl/Globals.h"

namespace ReturnState
{
enum ReturnState
{
    SynchronisationFailed,
    IncorrectData,
    Timeout,
    Unknown
};
}

extern bool daemonVerbose;

void writeLog( const QString &str );
void createLogPath();
bool readUnsignedFromFile( const QString &fileName, unsigned int &value );
bool readLongFromFile( const QString &fileName, unsigned  long &value );
QString findInterface( const QString baseName, const QString defaultName = "" );

#endif
